Subject: bug#22012: 25.1.50; gdb broken by (json-string-format "doesn't start with `\"'!")

From: Eli Zaretskii <[email-masked]>
Date: Thu, 26 Nov 2015 17:49:14 +0200

> Date: Thu, 26 Nov 2015 09:24:30 +0100
> From: martin rudalics <[email-masked]>
> 
>  >> Setting a breakpoint in gdb currently fails with a message like
>  >>
>  >>
>  >> Debugger entered--Lisp error: (json-string-format "doesn't start with
>  >> `\"'!")
>  >>    signal(json-string-format ("doesn't start with `\"'!"))
>  >>    json-read-string()
>  >>    json-read-object()
>  >>    apply(json-read-object nil)
>  >>    json-read()
>  >>    json-read-object()
>  >>    apply(json-read-object nil)
>  >>    json-read()
>  >
>  > Could you find out the contents of the buffer it's trying to read?
> 
> I'm trying to debug window.c.  But I have no idea if that's what
> ‘json-read-string’ tries to read.

It is reading from the buffer where we insert the GDB response, you
can see that as a string in the backtrace you posted.

Martin, can you try coming up with a reproducible recipe?  It's hard
to debug a problem that one cannot reproduce.  (I tried to start
gdb-mi and step a few steps through the Emacs code, but never saw the
problem.)